org.apache.struts2.ognl

## Class ProviderAllowlist

- java.lang.Object
- - org.apache.struts2.ognl.ProviderAllowlist

-     public class ProviderAllowlist
      extends Object

  Allows registration of classes that should be allowed to be used in OGNL expressions, using a key to identify the source of the allowlist.
  Since:
    6.4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProviderAllowlist()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAllowlist(ConfigurationProvider configurationProvider)` Deprecated. since 6.6.0, use `clearAllowlist(Object)`
    `void` | `clearAllowlist(Object key)`
    `Set<Class<?>>` | `getProviderAllowlist()`
    `void` | `registerAllowlist(ConfigurationProvider configurationProvider, Set<Class<?>> allowlist)` Deprecated. since 6.6.0, use `registerAllowlist(Object, Set)`
    `void` | `registerAllowlist(Object key, Set<Class<?>> allowlist)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProviderAllowlist

          public ProviderAllowlist()

  - ### Method Detail

    - #### registerAllowlist

          public void registerAllowlist(Object key,
                                        Set<Class<?>> allowlist)

    - #### registerAllowlist

          @Deprecated
          public void registerAllowlist(ConfigurationProvider configurationProvider,
                                                    Set<Class<?>> allowlist)

      Deprecated. since 6.6.0, use `registerAllowlist(Object, Set)`

    - #### clearAllowlist

          public void clearAllowlist(Object key)

    - #### clearAllowlist

          @Deprecated
          public void clearAllowlist(ConfigurationProvider configurationProvider)

      Deprecated. since 6.6.0, use `clearAllowlist(Object)`

    - #### getProviderAllowlist

          public Set<Class<?>> getProviderAllowlist()

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.